export var AnalyticsSQLParser: typeof AnalyticsSQLParser;
declare function AnalyticsSQLParser(input: any): any;
declare class AnalyticsSQLParser {
    constructor(input: any);
    _interp: any;
    ruleNames: string[];
    literalNames: string[];
    symbolicNames: string[];
    constructor: typeof AnalyticsSQLParser;
    get atn(): any;
    singleStatement(): SingleStatementContext;
    state: number;
    singleSQLStatement(): SingleSQLStatementContext;
    daasSQLStatement(): DaasSQLStatementContext;
    statement(): StatementContext;
    createTable(): CreateTableContext;
    createDaasTable(): CreateDaasTableContext;
    createWandTableHeader(): CreateWandTableHeaderContext;
    commentSpec(): CommentSpecContext;
    query(): QueryContext;
    keyWordSepc(): KeyWordSepcContext;
    asQuery(): AsQueryContext;
    multipartAsQuery(): MultipartAsQueryContext;
    multipartAsQueryList(): MultipartAsQueryListContext;
    queryOrganization(): QueryOrganizationContext;
    queryTerm(_p: any): any;
    _ctx: any;
    queryPrimary(): QueryPrimaryContext;
    sortItem(): SortItemContext;
    fromStatement(): FromStatementContext;
    fromStatementBody(): FromStatementBodyContext;
    querySpecification(): QuerySpecificationContext;
    selectClause(): SelectClauseContext;
    whereClause(): WhereClauseContext;
    havingClause(): HavingClauseContext;
    hint(): HintContext;
    hintStatement(): HintStatementContext;
    fromClause(): FromClauseContext;
    aggregationClause(): AggregationClauseContext;
    groupingSet(): GroupingSetContext;
    pivotClause(): PivotClauseContext;
    pivotColumn(): PivotColumnContext;
    pivotValue(): PivotValueContext;
    lateralView(): LateralViewContext;
    setQuantifier(): SetQuantifierContext;
    relation(): RelationContext;
    joinRelation(): JoinRelationContext;
    joinType(): JoinTypeContext;
    joinCriteria(): JoinCriteriaContext;
    sample(): SampleContext;
    sampleMethod(): SampleMethodContext;
    identifierList(): IdentifierListContext;
    identifierSeq(): IdentifierSeqContext;
    relationPrimary(): RelationPrimaryContext;
    inlineTable(): InlineTableContext;
    functionTable(): FunctionTableContext;
    tableAlias(): TableAliasContext;
    multipartIdentifier(): MultipartIdentifierContext;
    namedExpression(): NamedExpressionContext;
    namedExpressionSeq(): NamedExpressionSeqContext;
    expression(): ExpressionContext;
    booleanExpression(_p: any): BooleanExpressionContext;
    predicate(): PredicateContext;
    valueExpression(_p: any): ValueExpressionContext;
    primaryExpression(_p: any): PrimaryExpressionContext;
    constant(): ConstantContext;
    comparisonOperator(): ComparisonOperatorContext;
    booleanValue(): BooleanValueContext;
    interval(): IntervalContext;
    errorCapturingMultiUnitsInterval(): ErrorCapturingMultiUnitsIntervalContext;
    multiUnitsInterval(): MultiUnitsIntervalContext;
    errorCapturingUnitToUnitInterval(): ErrorCapturingUnitToUnitIntervalContext;
    unitToUnitInterval(): UnitToUnitIntervalContext;
    intervalValue(): IntervalValueContext;
    intervalUnit(): IntervalUnitContext;
    dataType(): DataTypeContext;
    complexColTypeList(): ComplexColTypeListContext;
    complexColType(): ComplexColTypeContext;
    whenClause(): WhenClauseContext;
    windowClause(): WindowClauseContext;
    namedWindow(): NamedWindowContext;
    windowSpec(): WindowSpecContext;
    windowFrame(): WindowFrameContext;
    frameBound(): FrameBoundContext;
    functionName(): FunctionNameContext;
    qualifiedName(): QualifiedNameContext;
    errorCapturingIdentifier(): ErrorCapturingIdentifierContext;
    errorCapturingIdentifierExtra(): ErrorCapturingIdentifierExtraContext;
    identifier(): IdentifierContext;
    strictIdentifier(): StrictIdentifierContext;
    quotedIdentifier(): QuotedIdentifierContext;
    number(): NumberContext;
    ansiNonReserved(): AnsiNonReservedContext;
    strictNonReserved(): StrictNonReservedContext;
    nonReserved(): NonReservedContext;
    ifNotExists(): IfNotExistsContext;
    sempred(localctx: any, ruleIndex: any, predIndex: any): any;
    queryTerm_sempred(localctx: any, predIndex: any): any;
    booleanExpression_sempred(localctx: any, predIndex: any): any;
    valueExpression_sempred(localctx: any, predIndex: any): any;
    primaryExpression_sempred(localctx: any, predIndex: any): any;
}
declare namespace AnalyticsSQLParser {
    export const EOF: number;
    export const T__0: number;
    export const T__1: number;
    export const T__2: number;
    export const T__3: number;
    export const T__4: number;
    export const T__5: number;
    export const T__6: number;
    export const T__7: number;
    export const ADD: number;
    export const AFTER: number;
    export const ALL: number;
    export const ALTER: number;
    export const ANALYZE: number;
    export const AND: number;
    export const ANTI: number;
    export const ANY: number;
    export const ARCHIVE: number;
    export const ARRAY: number;
    export const AS: number;
    export const ASC: number;
    export const AT: number;
    export const AUTHORIZATION: number;
    export const BETWEEN: number;
    export const BOTH: number;
    export const BUCKET: number;
    export const BUCKETS: number;
    export const BY: number;
    export const CACHE: number;
    export const CASCADE: number;
    export const CASE: number;
    export const CAST: number;
    export const CHANGE: number;
    export const CHECK: number;
    export const CLEAR: number;
    export const CLUSTER: number;
    export const CLUSTERED: number;
    export const CODEGEN: number;
    export const COLLATE: number;
    export const COLLECTION: number;
    export const COLUMN: number;
    export const COLUMNS: number;
    export const COMMENT: number;
    export const COMMIT: number;
    export const COMPACT: number;
    export const COMPACTIONS: number;
    export const COMPUTE: number;
    export const CONCATENATE: number;
    export const CONSTRAINT: number;
    export const COST: number;
    export const CREATE: number;
    export const CROSS: number;
    export const CUBE: number;
    export const CURRENT: number;
    export const CURRENT_DATE: number;
    export const CURRENT_TIME: number;
    export const CURRENT_TIMESTAMP: number;
    export const CURRENT_USER: number;
    export const DAAS: number;
    export const DATA: number;
    export const DATABASE: number;
    export const DATABASES: number;
    export const DAY: number;
    export const DBPROPERTIES: number;
    export const DEFINED: number;
    export const DELETE: number;
    export const DELIMITED: number;
    export const DESC: number;
    export const DESCRIBE: number;
    export const DFS: number;
    export const DIRECTORIES: number;
    export const DIRECTORY: number;
    export const DISTINCT: number;
    export const DISTRIBUTE: number;
    export const DROP: number;
    export const ELSE: number;
    export const END: number;
    export const ESCAPE: number;
    export const ESCAPED: number;
    export const EXCEPT: number;
    export const EXCHANGE: number;
    export const EXISTS: number;
    export const EXPLAIN: number;
    export const EXPORT: number;
    export const EXTENDED: number;
    export const EXTERNAL: number;
    export const EXTRACT: number;
    export const FALSE: number;
    export const FETCH: number;
    export const FIELDS: number;
    export const FILTER: number;
    export const FILEFORMAT: number;
    export const FIRST: number;
    export const FOLLOWING: number;
    export const FOR: number;
    export const FOREIGN: number;
    export const FORMAT: number;
    export const FORMATTED: number;
    export const FROM: number;
    export const FULL: number;
    export const FUNCTION: number;
    export const FUNCTIONS: number;
    export const GLOBAL: number;
    export const GRANT: number;
    export const GROUP: number;
    export const GROUPING: number;
    export const HAVING: number;
    export const HOUR: number;
    export const IF: number;
    export const IGNORE: number;
    export const IMPORT: number;
    export const IN: number;
    export const INDEX: number;
    export const INDEXES: number;
    export const INNER: number;
    export const INPATH: number;
    export const INPUTFORMAT: number;
    export const INSERT: number;
    export const INTERSECT: number;
    export const INTERVAL: number;
    export const INTO: number;
    export const IS: number;
    export const ITEMS: number;
    export const JOIN: number;
    export const KEYS: number;
    export const LAST: number;
    export const LATERAL: number;
    export const LAZY: number;
    export const LEADING: number;
    export const LEFT: number;
    export const LIKE: number;
    export const LIMIT: number;
    export const LINES: number;
    export const LIST: number;
    export const LOAD: number;
    export const LOCAL: number;
    export const LOCATION: number;
    export const LOCK: number;
    export const LOCKS: number;
    export const LOGICAL: number;
    export const MACRO: number;
    export const MAP: number;
    export const MATCHED: number;
    export const MERGE: number;
    export const MINUTE: number;
    export const MONTH: number;
    export const MSCK: number;
    export const NAMESPACE: number;
    export const NAMESPACES: number;
    export const NATURAL: number;
    export const NO: number;
    export const NOT: number;
    export const NULL: number;
    export const NULLS: number;
    export const OF: number;
    export const ON: number;
    export const ONLY: number;
    export const OPTION: number;
    export const OPTIONS: number;
    export const OR: number;
    export const ORDER: number;
    export const OUT: number;
    export const OUTER: number;
    export const OUTPUTFORMAT: number;
    export const OVER: number;
    export const OVERLAPS: number;
    export const OVERLAY: number;
    export const OVERWRITE: number;
    export const PARTITION: number;
    export const PARTITIONED: number;
    export const PARTITIONS: number;
    export const PERCENTLIT: number;
    export const PIVOT: number;
    export const PLACING: number;
    export const POSITION: number;
    export const PRECEDING: number;
    export const PRIMARY: number;
    export const PRINCIPALS: number;
    export const PROPERTIES: number;
    export const PUB: number;
    export const PURGE: number;
    export const QUERY: number;
    export const RANGE: number;
    export const RECORDREADER: number;
    export const RECORDWRITER: number;
    export const RECOVER: number;
    export const REDUCE: number;
    export const REFERENCES: number;
    export const REFRESH: number;
    export const RENAME: number;
    export const REPAIR: number;
    export const REPLACE: number;
    export const RESET: number;
    export const RESTRICT: number;
    export const REVOKE: number;
    export const RIGHT: number;
    export const RLIKE: number;
    export const ROLE: number;
    export const ROLES: number;
    export const ROLLBACK: number;
    export const ROLLUP: number;
    export const ROW: number;
    export const ROWS: number;
    export const SCHEMA: number;
    export const SECOND: number;
    export const SELECT: number;
    export const SEMI: number;
    export const SEPARATED: number;
    export const SERDE: number;
    export const SERDEPROPERTIES: number;
    export const SESSION_USER: number;
    export const SET: number;
    export const SETMINUS: number;
    export const SETS: number;
    export const SHOW: number;
    export const SKEWED: number;
    export const SOME: number;
    export const SORT: number;
    export const SORTED: number;
    export const START: number;
    export const STATISTICS: number;
    export const STORED: number;
    export const STRATIFY: number;
    export const STRUCT: number;
    export const SUBSTR: number;
    export const SUBSTRING: number;
    export const TABLE: number;
    export const TABLES: number;
    export const TABLESAMPLE: number;
    export const TBLPROPERTIES: number;
    export const TEMPORARY: number;
    export const TERMINATED: number;
    export const THEN: number;
    export const TO: number;
    export const TOUCH: number;
    export const TRAILING: number;
    export const TRANSACTION: number;
    export const TRANSACTIONS: number;
    export const TRANSFORM: number;
    export const TRIM: number;
    export const TRUE: number;
    export const TRUNCATE: number;
    export const TYPE: number;
    export const UNARCHIVE: number;
    export const UNBOUNDED: number;
    export const UNCACHE: number;
    export const UNION: number;
    export const UNIQUE: number;
    export const UNKNOWN: number;
    export const UNLOCK: number;
    export const UNSET: number;
    export const UPDATE: number;
    export const USE: number;
    export const USER: number;
    export const USING: number;
    export const VALUES: number;
    export const VIEW: number;
    export const WAND: number;
    export const WHEN: number;
    export const WHERE: number;
    export const WINDOW: number;
    export const WITH: number;
    export const YEAR: number;
    export const REGISTER_TABLE: number;
    export const DUMP_TABLE: number;
    export const LOAD_TABLE: number;
    export const LOAD_SOURCE: number;
    export const ENDER: number;
    export const EQ: number;
    export const NSEQ: number;
    export const NEQ: number;
    export const NEQJ: number;
    export const LT: number;
    export const LTE: number;
    export const GT: number;
    export const GTE: number;
    export const PLUS: number;
    export const MINUS: number;
    export const ASTERISK: number;
    export const SLASH: number;
    export const PERCENT: number;
    export const DIV: number;
    export const TILDE: number;
    export const AMPERSAND: number;
    export const PIPE: number;
    export const CONCAT_PIPE: number;
    export const HAT: number;
    export const OPEN_PAR: number;
    export const CLOSE_PAR: number;
    export const STRING: number;
    export const BIGINT_LITERAL: number;
    export const SMALLINT_LITERAL: number;
    export const TINYINT_LITERAL: number;
    export const INTEGER_VALUE: number;
    export const EXPONENT_VALUE: number;
    export const DECIMAL_VALUE: number;
    export const DOUBLE_LITERAL: number;
    export const BIGDECIMAL_LITERAL: number;
    export const IDENTIFIER: number;
    export const BACKQUOTED_IDENTIFIER: number;
    export const SIMPLE_COMMENT: number;
    export const BRACKETED_EMPTY_COMMENT: number;
    export const BRACKETED_COMMENT: number;
    export const WS: number;
    export const UNRECOGNIZED: number;
    export const RULE_singleStatement: number;
    export const RULE_singleSQLStatement: number;
    export const RULE_daasSQLStatement: number;
    export const RULE_statement: number;
    export const RULE_createTable: number;
    export const RULE_createDaasTable: number;
    export const RULE_createWandTableHeader: number;
    export const RULE_commentSpec: number;
    export const RULE_query: number;
    export const RULE_keyWordSepc: number;
    export const RULE_asQuery: number;
    export const RULE_multipartAsQuery: number;
    export const RULE_multipartAsQueryList: number;
    export const RULE_queryOrganization: number;
    export const RULE_queryTerm: number;
    export const RULE_queryPrimary: number;
    export const RULE_sortItem: number;
    export const RULE_fromStatement: number;
    export const RULE_fromStatementBody: number;
    export const RULE_querySpecification: number;
    export const RULE_selectClause: number;
    export const RULE_whereClause: number;
    export const RULE_havingClause: number;
    export const RULE_hint: number;
    export const RULE_hintStatement: number;
    export const RULE_fromClause: number;
    export const RULE_aggregationClause: number;
    export const RULE_groupingSet: number;
    export const RULE_pivotClause: number;
    export const RULE_pivotColumn: number;
    export const RULE_pivotValue: number;
    export const RULE_lateralView: number;
    export const RULE_setQuantifier: number;
    export const RULE_relation: number;
    export const RULE_joinRelation: number;
    export const RULE_joinType: number;
    export const RULE_joinCriteria: number;
    export const RULE_sample: number;
    export const RULE_sampleMethod: number;
    export const RULE_identifierList: number;
    export const RULE_identifierSeq: number;
    export const RULE_relationPrimary: number;
    export const RULE_inlineTable: number;
    export const RULE_functionTable: number;
    export const RULE_tableAlias: number;
    export const RULE_multipartIdentifier: number;
    export const RULE_namedExpression: number;
    export const RULE_namedExpressionSeq: number;
    export const RULE_expression: number;
    export const RULE_booleanExpression: number;
    export const RULE_predicate: number;
    export const RULE_valueExpression: number;
    export const RULE_primaryExpression: number;
    export const RULE_constant: number;
    export const RULE_comparisonOperator: number;
    export const RULE_booleanValue: number;
    export const RULE_interval: number;
    export const RULE_errorCapturingMultiUnitsInterval: number;
    export const RULE_multiUnitsInterval: number;
    export const RULE_errorCapturingUnitToUnitInterval: number;
    export const RULE_unitToUnitInterval: number;
    export const RULE_intervalValue: number;
    export const RULE_intervalUnit: number;
    export const RULE_dataType: number;
    export const RULE_complexColTypeList: number;
    export const RULE_complexColType: number;
    export const RULE_whenClause: number;
    export const RULE_windowClause: number;
    export const RULE_namedWindow: number;
    export const RULE_windowSpec: number;
    export const RULE_windowFrame: number;
    export const RULE_frameBound: number;
    export const RULE_functionName: number;
    export const RULE_qualifiedName: number;
    export const RULE_errorCapturingIdentifier: number;
    export const RULE_errorCapturingIdentifierExtra: number;
    export const RULE_identifier: number;
    export const RULE_strictIdentifier: number;
    export const RULE_quotedIdentifier: number;
    export const RULE_number: number;
    export const RULE_ansiNonReserved: number;
    export const RULE_strictNonReserved: number;
    export const RULE_nonReserved: number;
    export const RULE_ifNotExists: number;
    export { SingleStatementContext };
    export { SingleSQLStatementContext };
    export { DaasSQLStatementContext };
    export { CreateWandTableContext };
    export { StatementContext };
    export { CreateTableContext };
    export { CreateDaasTableContext };
    export { CreateWandTableHeaderContext };
    export { CommentSpecContext };
    export { QueryContext };
    export { KeyWordSepcContext };
    export { AsQueryContext };
    export { MultipartAsQueryContext };
    export { MultipartAsQueryListContext };
    export { QueryOrganizationContext };
    export { QueryTermDefaultContext };
    export { SetOperationContext };
    export { SubqueryContext };
    export { QueryPrimaryDefaultContext };
    export { QueryPrimaryContext };
    export { SortItemContext };
    export { FromStatementContext };
    export { FromStatementBodyContext };
    export { RegularQuerySpecificationContext };
    export { QuerySpecificationContext };
    export { SelectClauseContext };
    export { WhereClauseContext };
    export { HavingClauseContext };
    export { HintContext };
    export { HintStatementContext };
    export { FromClauseContext };
    export { AggregationClauseContext };
    export { GroupingSetContext };
    export { PivotClauseContext };
    export { PivotColumnContext };
    export { PivotValueContext };
    export { LateralViewContext };
    export { SetQuantifierContext };
    export { RelationContext };
    export { JoinRelationContext };
    export { JoinTypeContext };
    export { JoinCriteriaContext };
    export { SampleContext };
    export { SampleByRowsContext };
    export { SampleByPercentileContext };
    export { SampleByBucketContext };
    export { SampleByBytesContext };
    export { SampleMethodContext };
    export { IdentifierListContext };
    export { IdentifierSeqContext };
    export { TableValuedFunctionContext };
    export { InlineTableDefault2Context };
    export { AliasedRelationContext };
    export { AliasedQueryContext };
    export { TableNameContext };
    export { RelationPrimaryContext };
    export { InlineTableContext };
    export { FunctionTableContext };
    export { TableAliasContext };
    export { MultipartIdentifierContext };
    export { NamedExpressionContext };
    export { NamedExpressionSeqContext };
    export { ExpressionContext };
    export { LogicalNotContext };
    export { PredicatedContext };
    export { ExistsContext };
    export { LogicalBinaryContext };
    export { PredicateContext };
    export { ValueExpressionDefaultContext };
    export { ComparisonContext };
    export { ArithmeticBinaryContext };
    export { ArithmeticUnaryContext };
    export { StructContext };
    export { DereferenceContext };
    export { SimpleCaseContext };
    export { ColumnReferenceContext };
    export { RowConstructorContext };
    export { LastContext };
    export { StarContext };
    export { OverlayContext };
    export { SubscriptContext };
    export { SubqueryExpressionContext };
    export { SubstringContext };
    export { CurrentDatetimeContext };
    export { CastContext };
    export { ConstantDefaultContext };
    export { LambdaContext };
    export { ParenthesizedExpressionContext };
    export { ExtractContext };
    export { TrimContext };
    export { FunctionCallContext };
    export { SearchedCaseContext };
    export { PositionContext };
    export { FirstContext };
    export { NullLiteralContext };
    export { StringLiteralContext };
    export { TypeConstructorContext };
    export { IntervalLiteralContext };
    export { NumericLiteralContext };
    export { BooleanLiteralContext };
    export { ConstantContext };
    export { ComparisonOperatorContext };
    export { BooleanValueContext };
    export { IntervalContext };
    export { ErrorCapturingMultiUnitsIntervalContext };
    export { MultiUnitsIntervalContext };
    export { ErrorCapturingUnitToUnitIntervalContext };
    export { UnitToUnitIntervalContext };
    export { IntervalValueContext };
    export { IntervalUnitContext };
    export { ComplexDataTypeContext };
    export { PrimitiveDataTypeContext };
    export { DataTypeContext };
    export { ComplexColTypeListContext };
    export { ComplexColTypeContext };
    export { WhenClauseContext };
    export { WindowClauseContext };
    export { NamedWindowContext };
    export { WindowRefContext };
    export { WindowDefContext };
    export { WindowSpecContext };
    export { WindowFrameContext };
    export { FrameBoundContext };
    export { FunctionNameContext };
    export { QualifiedNameContext };
    export { ErrorCapturingIdentifierContext };
    export { ErrorIdentContext };
    export { RealIdentContext };
    export { ErrorCapturingIdentifierExtraContext };
    export { IdentifierContext };
    export { QuotedIdentifierAlternativeContext };
    export { UnquotedIdentifierContext };
    export { StrictIdentifierContext };
    export { QuotedIdentifierContext };
    export { DecimalLiteralContext };
    export { BigIntLiteralContext };
    export { TinyIntLiteralContext };
    export { LegacyDecimalLiteralContext };
    export { BigDecimalLiteralContext };
    export { ExponentLiteralContext };
    export { DoubleLiteralContext };
    export { IntegerLiteralContext };
    export { SmallIntLiteralContext };
    export { NumberContext };
    export { AnsiNonReservedContext };
    export { StrictNonReservedContext };
    export { NonReservedContext };
    export { IfNotExistsContext };
}
declare function SingleStatementContext(parser: any, parent: any, invokingState: any): any;
declare class SingleStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SingleStatementContext;
    EOF(): any;
    statement(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SingleSQLStatementContext(parser: any, parent: any, invokingState: any): any;
declare class SingleSQLStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SingleSQLStatementContext;
    createTable(): any;
    query(): any;
    EOF(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DaasSQLStatementContext(parser: any, parent: any, invokingState: any): any;
declare class DaasSQLStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DaasSQLStatementContext;
    createDaasTable(): any;
    query(): any;
    EOF(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StatementContext(parser: any, parent: any, invokingState: any): any;
declare class StatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof StatementContext;
    copyFrom(ctx: any): void;
}
declare function CreateTableContext(parser: any, parent: any, invokingState: any): any;
declare class CreateTableContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateTableContext;
    CREATE(): any;
    TABLE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateDaasTableContext(parser: any, parent: any, invokingState: any): any;
declare class CreateDaasTableContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateDaasTableContext;
    CREATE(): any;
    DAAS(): any;
    TABLE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateWandTableHeaderContext(parser: any, parent: any, invokingState: any): any;
declare class CreateWandTableHeaderContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateWandTableHeaderContext;
    CREATE(): any;
    WAND(): any;
    TABLE(): any;
    keyWordSepc(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CommentSpecContext(parser: any, parent: any, invokingState: any): any;
declare class CommentSpecContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CommentSpecContext;
    COMMENT(): any;
    STRING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QueryContext(parser: any, parent: any, invokingState: any): any;
declare class QueryContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof QueryContext;
    queryTerm(): any;
    queryOrganization(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function KeyWordSepcContext(parser: any, parent: any, invokingState: any): any;
declare class KeyWordSepcContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof KeyWordSepcContext;
    PUB(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AsQueryContext(parser: any, parent: any, invokingState: any): any;
declare class AsQueryContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof AsQueryContext;
    qualifiedName(): any;
    AS(): any;
    query(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function MultipartAsQueryContext(parser: any, parent: any, invokingState: any): any;
declare class MultipartAsQueryContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof MultipartAsQueryContext;
    qualifiedName(): any;
    AS(): any;
    OPEN_PAR(): any;
    query(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function MultipartAsQueryListContext(parser: any, parent: any, invokingState: any): any;
declare class MultipartAsQueryListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof MultipartAsQueryListContext;
    multipartAsQuery(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QueryOrganizationContext(parser: any, parent: any, invokingState: any): any;
declare class QueryOrganizationContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    _sortItem: any;
    order: any[];
    _expression: any;
    clusterBy: any[];
    distributeBy: any[];
    sort: any[];
    limit: any;
    constructor: typeof QueryOrganizationContext;
    ORDER(): any;
    BY(i: any): any;
    CLUSTER(): any;
    DISTRIBUTE(): any;
    SORT(): any;
    windowClause(): any;
    LIMIT(): any;
    sortItem(i: any): any;
    expression(i: any): any;
    ALL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QueryPrimaryContext(parser: any, parent: any, invokingState: any): any;
declare class QueryPrimaryContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof QueryPrimaryContext;
    copyFrom(ctx: any): void;
}
declare function SortItemContext(parser: any, parent: any, invokingState: any): any;
declare class SortItemContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    ordering: any;
    nullOrder: any;
    constructor: typeof SortItemContext;
    expression(): any;
    NULLS(): any;
    ASC(): any;
    DESC(): any;
    LAST(): any;
    FIRST(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FromStatementContext(parser: any, parent: any, invokingState: any): any;
declare class FromStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FromStatementContext;
    fromClause(): any;
    fromStatementBody(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FromStatementBodyContext(parser: any, parent: any, invokingState: any): any;
declare class FromStatementBodyContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FromStatementBodyContext;
    selectClause(): any;
    queryOrganization(): any;
    lateralView(i: any): any;
    whereClause(): any;
    aggregationClause(): any;
    havingClause(): any;
    windowClause(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QuerySpecificationContext(parser: any, parent: any, invokingState: any): any;
declare class QuerySpecificationContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof QuerySpecificationContext;
    copyFrom(ctx: any): void;
}
declare function SelectClauseContext(parser: any, parent: any, invokingState: any): any;
declare class SelectClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    _hint: any;
    hints: any[];
    constructor: typeof SelectClauseContext;
    SELECT(): any;
    namedExpressionSeq(): any;
    setQuantifier(): any;
    hint(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WhereClauseContext(parser: any, parent: any, invokingState: any): any;
declare class WhereClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WhereClauseContext;
    WHERE(): any;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function HavingClauseContext(parser: any, parent: any, invokingState: any): any;
declare class HavingClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof HavingClauseContext;
    HAVING(): any;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function HintContext(parser: any, parent: any, invokingState: any): any;
declare class HintContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    _hintStatement: any;
    hintStatements: any[];
    constructor: typeof HintContext;
    hintStatement(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function HintStatementContext(parser: any, parent: any, invokingState: any): any;
declare class HintStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    hintName: any;
    _primaryExpression: any;
    parameters: any[];
    constructor: typeof HintStatementContext;
    identifier(): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    primaryExpression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FromClauseContext(parser: any, parent: any, invokingState: any): any;
declare class FromClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FromClauseContext;
    FROM(): any;
    relation(i: any): any;
    lateralView(i: any): any;
    pivotClause(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AggregationClauseContext(parser: any, parent: any, invokingState: any): any;
declare class AggregationClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    _expression: any;
    groupingExpressions: any[];
    kind: any;
    constructor: typeof AggregationClauseContext;
    GROUP(): any;
    BY(): any;
    expression(i: any): any;
    WITH(): any;
    SETS(): any;
    OPEN_PAR(): any;
    groupingSet(i: any): any;
    CLOSE_PAR(): any;
    ROLLUP(): any;
    CUBE(): any;
    GROUPING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function GroupingSetContext(parser: any, parent: any, invokingState: any): any;
declare class GroupingSetContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof GroupingSetContext;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    expression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PivotClauseContext(parser: any, parent: any, invokingState: any): any;
declare class PivotClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    aggregates: any;
    _pivotValue: any;
    pivotValues: any[];
    constructor: typeof PivotClauseContext;
    PIVOT(): any;
    OPEN_PAR(i: any): any;
    FOR(): any;
    pivotColumn(): any;
    IN(): any;
    CLOSE_PAR(i: any): any;
    namedExpressionSeq(): any;
    pivotValue(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PivotColumnContext(parser: any, parent: any, invokingState: any): any;
declare class PivotColumnContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    _identifier: any;
    identifiers: any[];
    constructor: typeof PivotColumnContext;
    identifier(i: any): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PivotValueContext(parser: any, parent: any, invokingState: any): any;
declare class PivotValueContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof PivotValueContext;
    expression(): any;
    identifier(): any;
    AS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LateralViewContext(parser: any, parent: any, invokingState: any): any;
declare class LateralViewContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    tblName: any;
    _identifier: any;
    colName: any[];
    constructor: typeof LateralViewContext;
    LATERAL(): any;
    VIEW(): any;
    qualifiedName(): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    identifier(i: any): any;
    OUTER(): any;
    expression(i: any): any;
    AS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SetQuantifierContext(parser: any, parent: any, invokingState: any): any;
declare class SetQuantifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SetQuantifierContext;
    DISTINCT(): any;
    ALL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function RelationContext(parser: any, parent: any, invokingState: any): any;
declare class RelationContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof RelationContext;
    relationPrimary(): any;
    joinRelation(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function JoinRelationContext(parser: any, parent: any, invokingState: any): any;
declare class JoinRelationContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    right: any;
    constructor: typeof JoinRelationContext;
    JOIN(): any;
    relationPrimary(): any;
    joinType(): any;
    joinCriteria(): any;
    NATURAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function JoinTypeContext(parser: any, parent: any, invokingState: any): any;
declare class JoinTypeContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof JoinTypeContext;
    INNER(): any;
    CROSS(): any;
    LEFT(): any;
    OUTER(): any;
    SEMI(): any;
    RIGHT(): any;
    FULL(): any;
    ANTI(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function JoinCriteriaContext(parser: any, parent: any, invokingState: any): any;
declare class JoinCriteriaContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof JoinCriteriaContext;
    ON(): any;
    booleanExpression(): any;
    USING(): any;
    identifierList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SampleContext(parser: any, parent: any, invokingState: any): any;
declare class SampleContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SampleContext;
    TABLESAMPLE(): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    sampleMethod(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SampleMethodContext(parser: any, parent: any, invokingState: any): any;
declare class SampleMethodContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SampleMethodContext;
    copyFrom(ctx: any): void;
}
declare function IdentifierListContext(parser: any, parent: any, invokingState: any): any;
declare class IdentifierListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IdentifierListContext;
    OPEN_PAR(): any;
    identifierSeq(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IdentifierSeqContext(parser: any, parent: any, invokingState: any): any;
declare class IdentifierSeqContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    _errorCapturingIdentifier: any;
    ident: any[];
    constructor: typeof IdentifierSeqContext;
    errorCapturingIdentifier(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function RelationPrimaryContext(parser: any, parent: any, invokingState: any): any;
declare class RelationPrimaryContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof RelationPrimaryContext;
    copyFrom(ctx: any): void;
}
declare function InlineTableContext(parser: any, parent: any, invokingState: any): any;
declare class InlineTableContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof InlineTableContext;
    VALUES(): any;
    expression(i: any): any;
    tableAlias(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FunctionTableContext(parser: any, parent: any, invokingState: any): any;
declare class FunctionTableContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    funcName: any;
    constructor: typeof FunctionTableContext;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    tableAlias(): any;
    errorCapturingIdentifier(): any;
    expression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TableAliasContext(parser: any, parent: any, invokingState: any): any;
declare class TableAliasContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TableAliasContext;
    strictIdentifier(): any;
    AS(): any;
    identifierList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function MultipartIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class MultipartIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    _errorCapturingIdentifier: any;
    parts: any[];
    constructor: typeof MultipartIdentifierContext;
    errorCapturingIdentifier(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NamedExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class NamedExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    name: any;
    constructor: typeof NamedExpressionContext;
    expression(): any;
    identifierList(): any;
    AS(): any;
    errorCapturingIdentifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NamedExpressionSeqContext(parser: any, parent: any, invokingState: any): any;
declare class NamedExpressionSeqContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof NamedExpressionSeqContext;
    namedExpression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class ExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ExpressionContext;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function BooleanExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class BooleanExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof BooleanExpressionContext;
    copyFrom(ctx: any): void;
}
declare function PredicateContext(parser: any, parent: any, invokingState: any): any;
declare class PredicateContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    kind: any;
    lower: any;
    upper: any;
    pattern: any;
    escapeChar: any;
    right: any;
    constructor: typeof PredicateContext;
    AND(): any;
    BETWEEN(): any;
    valueExpression(i: any): any;
    NOT(): any;
    OPEN_PAR(): any;
    expression(i: any): any;
    CLOSE_PAR(): any;
    IN(): any;
    query(): any;
    RLIKE(): any;
    LIKE(): any;
    ESCAPE(): any;
    STRING(): any;
    IS(): any;
    NULL(): any;
    TRUE(): any;
    FALSE(): any;
    UNKNOWN(): any;
    FROM(): any;
    DISTINCT(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ValueExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class ValueExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ValueExpressionContext;
    copyFrom(ctx: any): void;
}
declare function PrimaryExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class PrimaryExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof PrimaryExpressionContext;
    copyFrom(ctx: any): void;
}
declare function ConstantContext(parser: any, parent: any, invokingState: any): any;
declare class ConstantContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ConstantContext;
    copyFrom(ctx: any): void;
}
declare function ComparisonOperatorContext(parser: any, parent: any, invokingState: any): any;
declare class ComparisonOperatorContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ComparisonOperatorContext;
    EQ(): any;
    NEQ(): any;
    NEQJ(): any;
    LT(): any;
    LTE(): any;
    GT(): any;
    GTE(): any;
    NSEQ(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function BooleanValueContext(parser: any, parent: any, invokingState: any): any;
declare class BooleanValueContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof BooleanValueContext;
    TRUE(): any;
    FALSE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IntervalContext(parser: any, parent: any, invokingState: any): any;
declare class IntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IntervalContext;
    INTERVAL(): any;
    errorCapturingMultiUnitsInterval(): any;
    errorCapturingUnitToUnitInterval(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingMultiUnitsIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingMultiUnitsIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ErrorCapturingMultiUnitsIntervalContext;
    multiUnitsInterval(): any;
    unitToUnitInterval(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function MultiUnitsIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class MultiUnitsIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof MultiUnitsIntervalContext;
    intervalValue(i: any): any;
    intervalUnit(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingUnitToUnitIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingUnitToUnitIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    body: any;
    error1: any;
    error2: any;
    constructor: typeof ErrorCapturingUnitToUnitIntervalContext;
    unitToUnitInterval(i: any): any;
    multiUnitsInterval(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UnitToUnitIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class UnitToUnitIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    value: any;
    source: any;
    to: any;
    constructor: typeof UnitToUnitIntervalContext;
    TO(): any;
    intervalValue(): any;
    intervalUnit(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IntervalValueContext(parser: any, parent: any, invokingState: any): any;
declare class IntervalValueContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IntervalValueContext;
    INTEGER_VALUE(): any;
    DECIMAL_VALUE(): any;
    PLUS(): any;
    MINUS(): any;
    STRING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IntervalUnitContext(parser: any, parent: any, invokingState: any): any;
declare class IntervalUnitContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IntervalUnitContext;
    DAY(): any;
    HOUR(): any;
    MINUTE(): any;
    MONTH(): any;
    SECOND(): any;
    YEAR(): any;
    identifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DataTypeContext(parser: any, parent: any, invokingState: any): any;
declare class DataTypeContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DataTypeContext;
    copyFrom(ctx: any): void;
}
declare function ComplexColTypeListContext(parser: any, parent: any, invokingState: any): any;
declare class ComplexColTypeListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ComplexColTypeListContext;
    complexColType(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ComplexColTypeContext(parser: any, parent: any, invokingState: any): any;
declare class ComplexColTypeContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ComplexColTypeContext;
    identifier(): any;
    dataType(): any;
    NOT(): any;
    NULL(): any;
    commentSpec(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WhenClauseContext(parser: any, parent: any, invokingState: any): any;
declare class WhenClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    condition: any;
    result: any;
    constructor: typeof WhenClauseContext;
    WHEN(): any;
    THEN(): any;
    expression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WindowClauseContext(parser: any, parent: any, invokingState: any): any;
declare class WindowClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WindowClauseContext;
    WINDOW(): any;
    namedWindow(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NamedWindowContext(parser: any, parent: any, invokingState: any): any;
declare class NamedWindowContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    name: any;
    constructor: typeof NamedWindowContext;
    AS(): any;
    windowSpec(): any;
    errorCapturingIdentifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WindowSpecContext(parser: any, parent: any, invokingState: any): any;
declare class WindowSpecContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WindowSpecContext;
    copyFrom(ctx: any): void;
}
declare function WindowFrameContext(parser: any, parent: any, invokingState: any): any;
declare class WindowFrameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    frameType: any;
    start: any;
    end: any;
    constructor: typeof WindowFrameContext;
    RANGE(): any;
    frameBound(i: any): any;
    ROWS(): any;
    BETWEEN(): any;
    AND(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FrameBoundContext(parser: any, parent: any, invokingState: any): any;
declare class FrameBoundContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    boundType: any;
    constructor: typeof FrameBoundContext;
    UNBOUNDED(): any;
    PRECEDING(): any;
    FOLLOWING(): any;
    ROW(): any;
    CURRENT(): any;
    expression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FunctionNameContext(parser: any, parent: any, invokingState: any): any;
declare class FunctionNameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FunctionNameContext;
    qualifiedName(): any;
    FILTER(): any;
    LEFT(): any;
    RIGHT(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QualifiedNameContext(parser: any, parent: any, invokingState: any): any;
declare class QualifiedNameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof QualifiedNameContext;
    identifier(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ErrorCapturingIdentifierContext;
    identifier(): any;
    errorCapturingIdentifierExtra(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingIdentifierExtraContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingIdentifierExtraContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ErrorCapturingIdentifierExtraContext;
    copyFrom(ctx: any): void;
}
declare function IdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class IdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IdentifierContext;
    strictIdentifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StrictIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class StrictIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof StrictIdentifierContext;
    copyFrom(ctx: any): void;
}
declare function QuotedIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class QuotedIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof QuotedIdentifierContext;
    BACKQUOTED_IDENTIFIER(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NumberContext(parser: any, parent: any, invokingState: any): any;
declare class NumberContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof NumberContext;
    copyFrom(ctx: any): void;
}
declare function AnsiNonReservedContext(parser: any, parent: any, invokingState: any): any;
declare class AnsiNonReservedContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof AnsiNonReservedContext;
    ADD(): any;
    AFTER(): any;
    ALTER(): any;
    ANALYZE(): any;
    ARCHIVE(): any;
    ARRAY(): any;
    ASC(): any;
    AT(): any;
    BETWEEN(): any;
    BUCKET(): any;
    BUCKETS(): any;
    BY(): any;
    CACHE(): any;
    CASCADE(): any;
    CHANGE(): any;
    CLEAR(): any;
    CLUSTER(): any;
    CLUSTERED(): any;
    CODEGEN(): any;
    COLLECTION(): any;
    COLUMNS(): any;
    COMMENT(): any;
    COMMIT(): any;
    COMPACT(): any;
    COMPACTIONS(): any;
    COMPUTE(): any;
    CONCATENATE(): any;
    COST(): any;
    CUBE(): any;
    CURRENT(): any;
    DATA(): any;
    DATABASE(): any;
    DATABASES(): any;
    DBPROPERTIES(): any;
    DEFINED(): any;
    DELETE(): any;
    DELIMITED(): any;
    DESC(): any;
    DESCRIBE(): any;
    DFS(): any;
    DIRECTORIES(): any;
    DIRECTORY(): any;
    DISTRIBUTE(): any;
    DIV(): any;
    DROP(): any;
    ESCAPED(): any;
    EXCHANGE(): any;
    EXISTS(): any;
    EXPLAIN(): any;
    EXPORT(): any;
    EXTENDED(): any;
    EXTERNAL(): any;
    EXTRACT(): any;
    FIELDS(): any;
    FILEFORMAT(): any;
    FIRST(): any;
    FOLLOWING(): any;
    FORMAT(): any;
    FORMATTED(): any;
    FUNCTION(): any;
    FUNCTIONS(): any;
    GLOBAL(): any;
    GROUPING(): any;
    IF(): any;
    IGNORE(): any;
    IMPORT(): any;
    INDEX(): any;
    INDEXES(): any;
    INPATH(): any;
    INPUTFORMAT(): any;
    INSERT(): any;
    INTERVAL(): any;
    ITEMS(): any;
    KEYS(): any;
    LAST(): any;
    LATERAL(): any;
    LAZY(): any;
    LIKE(): any;
    LIMIT(): any;
    LINES(): any;
    LIST(): any;
    LOAD(): any;
    LOCAL(): any;
    LOCATION(): any;
    LOCK(): any;
    LOCKS(): any;
    LOGICAL(): any;
    MACRO(): any;
    MAP(): any;
    MATCHED(): any;
    MERGE(): any;
    MSCK(): any;
    NAMESPACE(): any;
    NAMESPACES(): any;
    NO(): any;
    NULLS(): any;
    OF(): any;
    OPTION(): any;
    OPTIONS(): any;
    OUT(): any;
    OUTPUTFORMAT(): any;
    OVER(): any;
    OVERLAY(): any;
    OVERWRITE(): any;
    PARTITION(): any;
    PARTITIONED(): any;
    PARTITIONS(): any;
    PERCENTLIT(): any;
    PIVOT(): any;
    PLACING(): any;
    POSITION(): any;
    PRECEDING(): any;
    PRINCIPALS(): any;
    PROPERTIES(): any;
    PUB(): any;
    PURGE(): any;
    QUERY(): any;
    RANGE(): any;
    RECORDREADER(): any;
    RECORDWRITER(): any;
    RECOVER(): any;
    REDUCE(): any;
    REFRESH(): any;
    RENAME(): any;
    REPAIR(): any;
    REPLACE(): any;
    RESET(): any;
    RESTRICT(): any;
    REVOKE(): any;
    RLIKE(): any;
    ROLE(): any;
    ROLES(): any;
    ROLLBACK(): any;
    ROLLUP(): any;
    ROW(): any;
    ROWS(): any;
    SCHEMA(): any;
    SEPARATED(): any;
    SERDE(): any;
    SERDEPROPERTIES(): any;
    SET(): any;
    SETS(): any;
    SHOW(): any;
    SKEWED(): any;
    SORT(): any;
    SORTED(): any;
    START(): any;
    STATISTICS(): any;
    STORED(): any;
    STRATIFY(): any;
    STRUCT(): any;
    SUBSTR(): any;
    SUBSTRING(): any;
    TABLES(): any;
    TABLESAMPLE(): any;
    TBLPROPERTIES(): any;
    TEMPORARY(): any;
    TERMINATED(): any;
    TOUCH(): any;
    TRANSACTION(): any;
    TRANSACTIONS(): any;
    TRANSFORM(): any;
    TRIM(): any;
    TRUE(): any;
    TRUNCATE(): any;
    UNARCHIVE(): any;
    UNBOUNDED(): any;
    UNCACHE(): any;
    UNLOCK(): any;
    UNSET(): any;
    UPDATE(): any;
    USE(): any;
    VALUES(): any;
    VIEW(): any;
    WINDOW(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StrictNonReservedContext(parser: any, parent: any, invokingState: any): any;
declare class StrictNonReservedContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof StrictNonReservedContext;
    ANTI(): any;
    CROSS(): any;
    EXCEPT(): any;
    FULL(): any;
    INNER(): any;
    INTERSECT(): any;
    JOIN(): any;
    LEFT(): any;
    NATURAL(): any;
    ON(): any;
    RIGHT(): any;
    SEMI(): any;
    SETMINUS(): any;
    UNION(): any;
    USING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NonReservedContext(parser: any, parent: any, invokingState: any): any;
declare class NonReservedContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof NonReservedContext;
    ADD(): any;
    AFTER(): any;
    ALL(): any;
    ALTER(): any;
    ANALYZE(): any;
    AND(): any;
    ANY(): any;
    ARCHIVE(): any;
    ARRAY(): any;
    AS(): any;
    ASC(): any;
    AT(): any;
    AUTHORIZATION(): any;
    BETWEEN(): any;
    BOTH(): any;
    BUCKET(): any;
    BUCKETS(): any;
    BY(): any;
    CACHE(): any;
    CASCADE(): any;
    CASE(): any;
    CAST(): any;
    CHANGE(): any;
    CHECK(): any;
    CLEAR(): any;
    CLUSTER(): any;
    CLUSTERED(): any;
    CODEGEN(): any;
    COLLATE(): any;
    COLLECTION(): any;
    COLUMN(): any;
    COLUMNS(): any;
    COMMENT(): any;
    COMMIT(): any;
    COMPACT(): any;
    COMPACTIONS(): any;
    COMPUTE(): any;
    CONCATENATE(): any;
    CONSTRAINT(): any;
    COST(): any;
    CUBE(): any;
    CURRENT(): any;
    CURRENT_DATE(): any;
    CURRENT_TIME(): any;
    CURRENT_TIMESTAMP(): any;
    CURRENT_USER(): any;
    DATA(): any;
    DATABASE(): any;
    DATABASES(): any;
    DAY(): any;
    DBPROPERTIES(): any;
    DEFINED(): any;
    DELETE(): any;
    DELIMITED(): any;
    DESC(): any;
    DESCRIBE(): any;
    DFS(): any;
    DIRECTORIES(): any;
    DIRECTORY(): any;
    DISTINCT(): any;
    DISTRIBUTE(): any;
    DIV(): any;
    DROP(): any;
    ELSE(): any;
    END(): any;
    ESCAPE(): any;
    ESCAPED(): any;
    EXCHANGE(): any;
    EXISTS(): any;
    EXPLAIN(): any;
    EXPORT(): any;
    EXTENDED(): any;
    EXTERNAL(): any;
    EXTRACT(): any;
    FALSE(): any;
    FETCH(): any;
    FILTER(): any;
    FIELDS(): any;
    FILEFORMAT(): any;
    FIRST(): any;
    FOLLOWING(): any;
    FOR(): any;
    FOREIGN(): any;
    FORMAT(): any;
    FORMATTED(): any;
    FROM(): any;
    FUNCTION(): any;
    FUNCTIONS(): any;
    GLOBAL(): any;
    GRANT(): any;
    GROUP(): any;
    GROUPING(): any;
    HAVING(): any;
    HOUR(): any;
    IF(): any;
    IGNORE(): any;
    IMPORT(): any;
    IN(): any;
    INDEX(): any;
    INDEXES(): any;
    INPATH(): any;
    INPUTFORMAT(): any;
    INSERT(): any;
    INTERVAL(): any;
    INTO(): any;
    IS(): any;
    ITEMS(): any;
    KEYS(): any;
    LAST(): any;
    LATERAL(): any;
    LAZY(): any;
    LEADING(): any;
    LIKE(): any;
    LIMIT(): any;
    LINES(): any;
    LIST(): any;
    LOAD(): any;
    LOCAL(): any;
    LOCATION(): any;
    LOCK(): any;
    LOCKS(): any;
    LOGICAL(): any;
    MACRO(): any;
    MAP(): any;
    MATCHED(): any;
    MERGE(): any;
    MINUTE(): any;
    MONTH(): any;
    MSCK(): any;
    NAMESPACE(): any;
    NAMESPACES(): any;
    NO(): any;
    NOT(): any;
    NULL(): any;
    NULLS(): any;
    OF(): any;
    ONLY(): any;
    OPTION(): any;
    OPTIONS(): any;
    OR(): any;
    ORDER(): any;
    OUT(): any;
    OUTER(): any;
    OUTPUTFORMAT(): any;
    OVER(): any;
    OVERLAPS(): any;
    OVERLAY(): any;
    OVERWRITE(): any;
    PARTITION(): any;
    PARTITIONED(): any;
    PARTITIONS(): any;
    PERCENTLIT(): any;
    PIVOT(): any;
    PLACING(): any;
    POSITION(): any;
    PRECEDING(): any;
    PRIMARY(): any;
    PRINCIPALS(): any;
    PROPERTIES(): any;
    PUB(): any;
    PURGE(): any;
    QUERY(): any;
    RANGE(): any;
    RECORDREADER(): any;
    RECORDWRITER(): any;
    RECOVER(): any;
    REDUCE(): any;
    REFERENCES(): any;
    REFRESH(): any;
    RENAME(): any;
    REPAIR(): any;
    REPLACE(): any;
    RESET(): any;
    RESTRICT(): any;
    REVOKE(): any;
    RLIKE(): any;
    ROLE(): any;
    ROLES(): any;
    ROLLBACK(): any;
    ROLLUP(): any;
    ROW(): any;
    ROWS(): any;
    SCHEMA(): any;
    SECOND(): any;
    SELECT(): any;
    SEPARATED(): any;
    SERDE(): any;
    SERDEPROPERTIES(): any;
    SESSION_USER(): any;
    SET(): any;
    SETS(): any;
    SHOW(): any;
    SKEWED(): any;
    SOME(): any;
    SORT(): any;
    SORTED(): any;
    START(): any;
    STATISTICS(): any;
    STORED(): any;
    STRATIFY(): any;
    STRUCT(): any;
    SUBSTR(): any;
    SUBSTRING(): any;
    TABLE(): any;
    TABLES(): any;
    TABLESAMPLE(): any;
    TBLPROPERTIES(): any;
    TEMPORARY(): any;
    TERMINATED(): any;
    THEN(): any;
    TO(): any;
    TOUCH(): any;
    TRAILING(): any;
    TRANSACTION(): any;
    TRANSACTIONS(): any;
    TRANSFORM(): any;
    TRIM(): any;
    TRUE(): any;
    TRUNCATE(): any;
    TYPE(): any;
    UNARCHIVE(): any;
    UNBOUNDED(): any;
    UNCACHE(): any;
    UNIQUE(): any;
    UNKNOWN(): any;
    UNLOCK(): any;
    UNSET(): any;
    UPDATE(): any;
    USE(): any;
    USER(): any;
    VALUES(): any;
    VIEW(): any;
    WAND(): any;
    WHEN(): any;
    WHERE(): any;
    WINDOW(): any;
    WITH(): any;
    YEAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IfNotExistsContext(parser: any, parent: any, invokingState: any): any;
declare class IfNotExistsContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IfNotExistsContext;
    IF(): any;
    NOT(): any;
    EXISTS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateWandTableContext(parser: any, ctx: any): any;
declare class CreateWandTableContext {
    constructor(parser: any, ctx: any);
    constructor: typeof CreateWandTableContext;
    createWandTableHeader(): any;
    asQuery(): any;
    multipartAsQueryList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QueryTermDefaultContext(parser: any, ctx: any): any;
declare class QueryTermDefaultContext {
    constructor(parser: any, ctx: any);
    constructor: typeof QueryTermDefaultContext;
    queryPrimary(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SetOperationContext(parser: any, ctx: any): any;
declare class SetOperationContext {
    constructor(parser: any, ctx: any);
    left: any;
    operator: any;
    right: any;
    constructor: typeof SetOperationContext;
    queryTerm(i: any): any;
    INTERSECT(): any;
    UNION(): any;
    EXCEPT(): any;
    SETMINUS(): any;
    setQuantifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SubqueryContext(parser: any, ctx: any): any;
declare class SubqueryContext {
    constructor(parser: any, ctx: any);
    constructor: typeof SubqueryContext;
    OPEN_PAR(): any;
    query(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QueryPrimaryDefaultContext(parser: any, ctx: any): any;
declare class QueryPrimaryDefaultContext {
    constructor(parser: any, ctx: any);
    constructor: typeof QueryPrimaryDefaultContext;
    querySpecification(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function RegularQuerySpecificationContext(parser: any, ctx: any): any;
declare class RegularQuerySpecificationContext {
    constructor(parser: any, ctx: any);
    constructor: typeof RegularQuerySpecificationContext;
    selectClause(): any;
    fromClause(): any;
    lateralView(i: any): any;
    whereClause(): any;
    aggregationClause(): any;
    havingClause(): any;
    windowClause(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SampleByRowsContext(parser: any, ctx: any): any;
declare class SampleByRowsContext {
    constructor(parser: any, ctx: any);
    constructor: typeof SampleByRowsContext;
    expression(): any;
    ROWS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SampleByPercentileContext(parser: any, ctx: any): any;
declare class SampleByPercentileContext {
    constructor(parser: any, ctx: any);
    negativeSign: any;
    percentage: any;
    constructor: typeof SampleByPercentileContext;
    PERCENTLIT(): any;
    INTEGER_VALUE(): any;
    DECIMAL_VALUE(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SampleByBucketContext(parser: any, ctx: any): any;
declare class SampleByBucketContext {
    constructor(parser: any, ctx: any);
    sampleType: any;
    numerator: any;
    denominator: any;
    constructor: typeof SampleByBucketContext;
    OUT(): any;
    OF(): any;
    BUCKET(): any;
    INTEGER_VALUE(i: any): any;
    ON(): any;
    identifier(): any;
    qualifiedName(): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SampleByBytesContext(parser: any, ctx: any): any;
declare class SampleByBytesContext {
    constructor(parser: any, ctx: any);
    bytes: any;
    constructor: typeof SampleByBytesContext;
    expression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TableValuedFunctionContext(parser: any, ctx: any): any;
declare class TableValuedFunctionContext {
    constructor(parser: any, ctx: any);
    constructor: typeof TableValuedFunctionContext;
    functionTable(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function InlineTableDefault2Context(parser: any, ctx: any): any;
declare class InlineTableDefault2Context {
    constructor(parser: any, ctx: any);
    constructor: typeof InlineTableDefault2Context;
    inlineTable(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AliasedRelationContext(parser: any, ctx: any): any;
declare class AliasedRelationContext {
    constructor(parser: any, ctx: any);
    constructor: typeof AliasedRelationContext;
    OPEN_PAR(): any;
    relation(): any;
    CLOSE_PAR(): any;
    tableAlias(): any;
    sample(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AliasedQueryContext(parser: any, ctx: any): any;
declare class AliasedQueryContext {
    constructor(parser: any, ctx: any);
    constructor: typeof AliasedQueryContext;
    OPEN_PAR(): any;
    query(): any;
    CLOSE_PAR(): any;
    tableAlias(): any;
    sample(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TableNameContext(parser: any, ctx: any): any;
declare class TableNameContext {
    constructor(parser: any, ctx: any);
    constructor: typeof TableNameContext;
    multipartIdentifier(): any;
    tableAlias(): any;
    sample(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LogicalNotContext(parser: any, ctx: any): any;
declare class LogicalNotContext {
    constructor(parser: any, ctx: any);
    constructor: typeof LogicalNotContext;
    NOT(): any;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PredicatedContext(parser: any, ctx: any): any;
declare class PredicatedContext {
    constructor(parser: any, ctx: any);
    constructor: typeof PredicatedContext;
    valueExpression(): any;
    predicate(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ExistsContext(parser: any, ctx: any): any;
declare class ExistsContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ExistsContext;
    EXISTS(): any;
    OPEN_PAR(): any;
    query(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LogicalBinaryContext(parser: any, ctx: any): any;
declare class LogicalBinaryContext {
    constructor(parser: any, ctx: any);
    left: any;
    operator: any;
    right: any;
    constructor: typeof LogicalBinaryContext;
    booleanExpression(i: any): any;
    AND(): any;
    OR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ValueExpressionDefaultContext(parser: any, ctx: any): any;
declare class ValueExpressionDefaultContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ValueExpressionDefaultContext;
    primaryExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ComparisonContext(parser: any, ctx: any): any;
declare class ComparisonContext {
    constructor(parser: any, ctx: any);
    left: any;
    right: any;
    constructor: typeof ComparisonContext;
    comparisonOperator(): any;
    valueExpression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ArithmeticBinaryContext(parser: any, ctx: any): any;
declare class ArithmeticBinaryContext {
    constructor(parser: any, ctx: any);
    left: any;
    operator: any;
    right: any;
    constructor: typeof ArithmeticBinaryContext;
    valueExpression(i: any): any;
    ASTERISK(): any;
    SLASH(): any;
    PERCENT(): any;
    DIV(): any;
    PLUS(): any;
    MINUS(): any;
    CONCAT_PIPE(): any;
    AMPERSAND(): any;
    HAT(): any;
    PIPE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ArithmeticUnaryContext(parser: any, ctx: any): any;
declare class ArithmeticUnaryContext {
    constructor(parser: any, ctx: any);
    operator: any;
    constructor: typeof ArithmeticUnaryContext;
    valueExpression(): any;
    MINUS(): any;
    PLUS(): any;
    TILDE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StructContext(parser: any, ctx: any): any;
declare class StructContext {
    constructor(parser: any, ctx: any);
    _namedExpression: any;
    argument: any[];
    constructor: typeof StructContext;
    STRUCT(): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    namedExpression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DereferenceContext(parser: any, ctx: any): any;
declare class DereferenceContext {
    constructor(parser: any, ctx: any);
    base: any;
    fieldName: any;
    constructor: typeof DereferenceContext;
    primaryExpression(): any;
    identifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SimpleCaseContext(parser: any, ctx: any): any;
declare class SimpleCaseContext {
    constructor(parser: any, ctx: any);
    value: any;
    elseExpression: any;
    constructor: typeof SimpleCaseContext;
    CASE(): any;
    END(): any;
    expression(i: any): any;
    whenClause(i: any): any;
    ELSE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ColumnReferenceContext(parser: any, ctx: any): any;
declare class ColumnReferenceContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ColumnReferenceContext;
    identifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function RowConstructorContext(parser: any, ctx: any): any;
declare class RowConstructorContext {
    constructor(parser: any, ctx: any);
    constructor: typeof RowConstructorContext;
    OPEN_PAR(): any;
    namedExpression(i: any): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LastContext(parser: any, ctx: any): any;
declare class LastContext {
    constructor(parser: any, ctx: any);
    constructor: typeof LastContext;
    LAST(): any;
    OPEN_PAR(): any;
    expression(): any;
    CLOSE_PAR(): any;
    IGNORE(): any;
    NULLS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StarContext(parser: any, ctx: any): any;
declare class StarContext {
    constructor(parser: any, ctx: any);
    constructor: typeof StarContext;
    ASTERISK(): any;
    qualifiedName(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function OverlayContext(parser: any, ctx: any): any;
declare class OverlayContext {
    constructor(parser: any, ctx: any);
    input: any;
    replace: any;
    position: any;
    length: any;
    constructor: typeof OverlayContext;
    OVERLAY(): any;
    OPEN_PAR(): any;
    PLACING(): any;
    FROM(): any;
    CLOSE_PAR(): any;
    valueExpression(i: any): any;
    FOR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SubscriptContext(parser: any, ctx: any): any;
declare class SubscriptContext {
    constructor(parser: any, ctx: any);
    value: any;
    index: any;
    constructor: typeof SubscriptContext;
    primaryExpression(): any;
    valueExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SubqueryExpressionContext(parser: any, ctx: any): any;
declare class SubqueryExpressionContext {
    constructor(parser: any, ctx: any);
    constructor: typeof SubqueryExpressionContext;
    OPEN_PAR(): any;
    query(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SubstringContext(parser: any, ctx: any): any;
declare class SubstringContext {
    constructor(parser: any, ctx: any);
    str: any;
    pos: any;
    len: any;
    constructor: typeof SubstringContext;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    SUBSTR(): any;
    SUBSTRING(): any;
    valueExpression(i: any): any;
    FROM(): any;
    FOR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CurrentDatetimeContext(parser: any, ctx: any): any;
declare class CurrentDatetimeContext {
    constructor(parser: any, ctx: any);
    name: any;
    constructor: typeof CurrentDatetimeContext;
    CURRENT_DATE(): any;
    CURRENT_TIMESTAMP(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CastContext(parser: any, ctx: any): any;
declare class CastContext {
    constructor(parser: any, ctx: any);
    constructor: typeof CastContext;
    CAST(): any;
    OPEN_PAR(): any;
    expression(): any;
    AS(): any;
    dataType(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ConstantDefaultContext(parser: any, ctx: any): any;
declare class ConstantDefaultContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ConstantDefaultContext;
    constant(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LambdaContext(parser: any, ctx: any): any;
declare class LambdaContext {
    constructor(parser: any, ctx: any);
    constructor: typeof LambdaContext;
    identifier(i: any): any;
    expression(): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ParenthesizedExpressionContext(parser: any, ctx: any): any;
declare class ParenthesizedExpressionContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ParenthesizedExpressionContext;
    OPEN_PAR(): any;
    expression(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ExtractContext(parser: any, ctx: any): any;
declare class ExtractContext {
    constructor(parser: any, ctx: any);
    field: any;
    source: any;
    constructor: typeof ExtractContext;
    EXTRACT(): any;
    OPEN_PAR(): any;
    FROM(): any;
    CLOSE_PAR(): any;
    identifier(): any;
    valueExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TrimContext(parser: any, ctx: any): any;
declare class TrimContext {
    constructor(parser: any, ctx: any);
    trimOption: any;
    trimStr: any;
    srcStr: any;
    constructor: typeof TrimContext;
    TRIM(): any;
    OPEN_PAR(): any;
    FROM(): any;
    CLOSE_PAR(): any;
    valueExpression(i: any): any;
    BOTH(): any;
    LEADING(): any;
    TRAILING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FunctionCallContext(parser: any, ctx: any): any;
declare class FunctionCallContext {
    constructor(parser: any, ctx: any);
    _expression: any;
    argument: any[];
    where: any;
    constructor: typeof FunctionCallContext;
    functionName(): any;
    OPEN_PAR(i: any): any;
    CLOSE_PAR(i: any): any;
    FILTER(): any;
    WHERE(): any;
    OVER(): any;
    windowSpec(): any;
    expression(i: any): any;
    booleanExpression(): any;
    setQuantifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SearchedCaseContext(parser: any, ctx: any): any;
declare class SearchedCaseContext {
    constructor(parser: any, ctx: any);
    elseExpression: any;
    constructor: typeof SearchedCaseContext;
    CASE(): any;
    END(): any;
    whenClause(i: any): any;
    ELSE(): any;
    expression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PositionContext(parser: any, ctx: any): any;
declare class PositionContext {
    constructor(parser: any, ctx: any);
    substr: any;
    str: any;
    constructor: typeof PositionContext;
    POSITION(): any;
    OPEN_PAR(): any;
    IN(): any;
    CLOSE_PAR(): any;
    valueExpression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FirstContext(parser: any, ctx: any): any;
declare class FirstContext {
    constructor(parser: any, ctx: any);
    constructor: typeof FirstContext;
    FIRST(): any;
    OPEN_PAR(): any;
    expression(): any;
    CLOSE_PAR(): any;
    IGNORE(): any;
    NULLS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NullLiteralContext(parser: any, ctx: any): any;
declare class NullLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof NullLiteralContext;
    NULL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StringLiteralContext(parser: any, ctx: any): any;
declare class StringLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof StringLiteralContext;
    STRING(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TypeConstructorContext(parser: any, ctx: any): any;
declare class TypeConstructorContext {
    constructor(parser: any, ctx: any);
    constructor: typeof TypeConstructorContext;
    identifier(): any;
    STRING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IntervalLiteralContext(parser: any, ctx: any): any;
declare class IntervalLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof IntervalLiteralContext;
    interval(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NumericLiteralContext(parser: any, ctx: any): any;
declare class NumericLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof NumericLiteralContext;
    number(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function BooleanLiteralContext(parser: any, ctx: any): any;
declare class BooleanLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof BooleanLiteralContext;
    booleanValue(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ComplexDataTypeContext(parser: any, ctx: any): any;
declare class ComplexDataTypeContext {
    constructor(parser: any, ctx: any);
    complex: any;
    constructor: typeof ComplexDataTypeContext;
    LT(): any;
    dataType(i: any): any;
    GT(): any;
    ARRAY(): any;
    MAP(): any;
    STRUCT(): any;
    NEQ(): any;
    complexColTypeList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PrimitiveDataTypeContext(parser: any, ctx: any): any;
declare class PrimitiveDataTypeContext {
    constructor(parser: any, ctx: any);
    constructor: typeof PrimitiveDataTypeContext;
    identifier(): any;
    OPEN_PAR(): any;
    INTEGER_VALUE(i: any): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WindowRefContext(parser: any, ctx: any): any;
declare class WindowRefContext {
    constructor(parser: any, ctx: any);
    name: any;
    constructor: typeof WindowRefContext;
    errorCapturingIdentifier(): any;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WindowDefContext(parser: any, ctx: any): any;
declare class WindowDefContext {
    constructor(parser: any, ctx: any);
    _expression: any;
    partition: any[];
    constructor: typeof WindowDefContext;
    OPEN_PAR(): any;
    CLOSE_PAR(): any;
    CLUSTER(): any;
    BY(i: any): any;
    expression(i: any): any;
    windowFrame(): any;
    sortItem(i: any): any;
    PARTITION(): any;
    DISTRIBUTE(): any;
    ORDER(): any;
    SORT(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorIdentContext(parser: any, ctx: any): any;
declare class ErrorIdentContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ErrorIdentContext;
    MINUS(i: any): any;
    identifier(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function RealIdentContext(parser: any, ctx: any): any;
declare class RealIdentContext {
    constructor(parser: any, ctx: any);
    constructor: typeof RealIdentContext;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QuotedIdentifierAlternativeContext(parser: any, ctx: any): any;
declare class QuotedIdentifierAlternativeContext {
    constructor(parser: any, ctx: any);
    constructor: typeof QuotedIdentifierAlternativeContext;
    quotedIdentifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UnquotedIdentifierContext(parser: any, ctx: any): any;
declare class UnquotedIdentifierContext {
    constructor(parser: any, ctx: any);
    constructor: typeof UnquotedIdentifierContext;
    IDENTIFIER(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DecimalLiteralContext(parser: any, ctx: any): any;
declare class DecimalLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof DecimalLiteralContext;
    DECIMAL_VALUE(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function BigIntLiteralContext(parser: any, ctx: any): any;
declare class BigIntLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof BigIntLiteralContext;
    BIGINT_LITERAL(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TinyIntLiteralContext(parser: any, ctx: any): any;
declare class TinyIntLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof TinyIntLiteralContext;
    TINYINT_LITERAL(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LegacyDecimalLiteralContext(parser: any, ctx: any): any;
declare class LegacyDecimalLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof LegacyDecimalLiteralContext;
    EXPONENT_VALUE(): any;
    DECIMAL_VALUE(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function BigDecimalLiteralContext(parser: any, ctx: any): any;
declare class BigDecimalLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof BigDecimalLiteralContext;
    BIGDECIMAL_LITERAL(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ExponentLiteralContext(parser: any, ctx: any): any;
declare class ExponentLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ExponentLiteralContext;
    EXPONENT_VALUE(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DoubleLiteralContext(parser: any, ctx: any): any;
declare class DoubleLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof DoubleLiteralContext;
    DOUBLE_LITERAL(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IntegerLiteralContext(parser: any, ctx: any): any;
declare class IntegerLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof IntegerLiteralContext;
    INTEGER_VALUE(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SmallIntLiteralContext(parser: any, ctx: any): any;
declare class SmallIntLiteralContext {
    constructor(parser: any, ctx: any);
    constructor: typeof SmallIntLiteralContext;
    SMALLINT_LITERAL(): any;
    MINUS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
export {};
